<?php

defined('C5_EXECUTE') or die("Access Denied.");

if (!isset($audio)) {
  $audio = null;
}

echo '<div class="simple-audio-player-container simple-audio-player-template-' . $template .'" id="simple-audio-player-container-' . $bID . '">';
echo '<div class="simple-audio-player-content">';
if ($title) {
  echo '<p>' . $title;
}
if ($description) {
  if (!$title) {
    echo '<p>';
  } else {
    echo '<br>';
  }
  echo $description;
}
if ($title || $description) {
  echo '</p>';
}
echo '</div>'; // end simple-audio-player-content
?>
<div class="simple-audio-player-audio-player">
  <?php
  if ($audio) {
  ?>
  <audio preload="none" id="simple-audio-<?php echo $bID?>" class="simple-audio-player-audio" src="<?php echo $audio;?>" 
  <?php if ($template == 'default') { ?> controls <?php }?>
  <?php if ($template == 'extra') { ?> controls controlsList="nodownload" <?php }?>
  ></audio>
  <?php
  if ($template == 'simple') {
    echo '<div class="simple-audio-player-simple" data-event="play">';
      echo '<div class="simple-audio-player-simple-controls">';
        echo '<div class="simple-audio-player-simple-control active simple-audio-player-simple-controls-play">';
        ?>
        <svg xmlns="http://www.w3.org/2000/svg" width="27" height="27" viewBox="0 0 8 8">
          <path d="M0 0v6l6-3-6-3z" transform="translate(1 1)" />
        </svg>
        <?php
        echo '</div>';
        echo '<div class="simple-audio-player-simple-control simple-audio-player-simple-controls-pause">';
        ?>
        <svg xmlns="http://www.w3.org/2000/svg" width="27" height="27" viewBox="0 0 8 8">
          <path d="M0 0v6h2v-6h-2zm4 0v6h2v-6h-2z" transform="translate(1 1)" />
        </svg>
        <?php
        echo '</div>';
        echo '<div class="simple-audio-player-simple-control simple-audio-player-simple-controls-loading">';
        ?>
        <svg xmlns="http://www.w3.org/2000/svg" width="27" height="27" viewBox="0 0 8 8">
          <path d="M4 0c-2.2 0-4 1.8-4 4s1.8 4 4 4c1.1 0 2.12-.43 2.84-1.16l-.72-.72c-.54.54-1.29.88-2.13.88-1.66 0-3-1.34-3-3s1.34-3 3-3c.83 0 1.55.36 2.09.91l-1.09 1.09h3v-3l-1.19 1.19c-.72-.72-1.71-1.19-2.81-1.19z" />
        </svg>
        <?php
        echo '</div>';
      echo '</div>';
    echo '</div>';
  }
  ?>
  <?php
  } else {
    echo 'No audio file selected';
  }
  ?>
</div> <!-- end simple-audio-player-audio-player -->
<?php
echo '</div>'; //end simple-audio-player-container
?>
<?php
if ($template == 'simple') {
?>
<script>
$(function() {
  var container = document.getElementById('simple-audio-player-container-<?php echo $bID?>');
  var audio = document.getElementById("simple-audio-<?php echo $bID?>");
  var player = $(container).find('.simple-audio-player-simple');
  var playButton = $(container).find('.simple-audio-player-simple-controls-play');
  var pauseButton = $(container).find('.simple-audio-player-simple-controls-pause');
  var loadingButton = $(container).find('.simple-audio-player-simple-controls-loading');
  player.click(function() {
    if ($(this).attr('data-event') == 'play') {
      audio.play();
      $(playButton).removeClass('active');
      $(pauseButton).addClass('active');
      $(this).attr('data-event', 'pause');
    } else if ($(this).attr('data-event') == 'pause') {
      audio.pause();
      $(playButton).addClass('active');
      $(pauseButton).removeClass('active');
      $(this).attr('data-event', 'play');
    }
  });
});
</script>
<?php
}
?>
