<?php
namespace Concrete\Package\SimpleAudioPlayer;

use BlockType;
use Package;
use AssetList;

class Controller extends Package
{
  protected $pkgHandle = 'simple_audio_player';
  protected $appVersionRequired = '9.0';
  protected $pkgVersion = '0.9.4';

  public function getPackageName() {
    return t('Simple Audio Player');
  }
  public function getPackageDescription() {
    return t('Allow users to play audio files you select from the file manager.');
  }

  public function install() {
    $package = parent::install();
    $this->installUpgrade($this);
  }
  public function upgrade() {
    $this->installUpgrade($this);
    parent::upgrade();
  }
  public function installUpgrade($package) { 
    $blockHandles = array(
      $this->pkgHandle
    );
    foreach ( $blockHandles as $blockHandle ) {
      if (!BlockType::getByHandle($blockHandle)) {
        BlockType::installBlockType($blockHandle, $package);
      }
    }
  }
  
  public function on_start() {
    $al = AssetList::getInstance();
    $al->register('css', 'simpleAudioPlayerDefault', 'blocks/simple_audio_player/css/view/default.css', array(), 'simple_audio_player');
    $al->register('css', 'simpleAudioPlayerSimple', 'blocks/simple_audio_player/css/view/simple.css', array(), 'simple_audio_player');
    $al->register('css', 'simpleAudioPlayerExtra', 'blocks/simple_audio_player/css/view/extra.css', array(), 'simple_audio_player');
    $al->register('css', 'simpleAudioPlayerForm', 'blocks/simple_audio_player/css/form/form.css', array(), 'simple_audio_player');
  }
}
